#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "kingate/plaincgi.h"
#include "kingate/exception.h"
#include "config.h"

#if !HAVE_DECL_ENVIRON
extern char **environ;
#endif /* HAVE_DECL_ENVIRON */

namespace kingate {

	plaincgi_interface::plaincgi_interface() {
	    for(char **p = environ; *p; p++) {
		const char *e = strchr(*p,'=');
		if(!e){
		    // XXX: check if we have it already?
		    metavars[*p] = string(0);
		}else{
		    int l = e-*p; e++;
		    // XXX: check if we have it already?
		    metavars[string(*p,l)]=e;
		}
	    }
	}
	plaincgi_interface::~plaincgi_interface() {
	    cout.flush();
	    cerr.flush();
	}

}
